Bug 1776117 - [RFE] GCE CR zones/flavors-or-machine-types/networks listing is not implemented.
Summary: [RFE] GCE CR zones/flavors-or-machine-types/networks listing is not implemented.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - GCE
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: 6.7.0
Assignee: Kavita
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks: 1721890
TreeView+ depends on / blocked
 
Reported: 2019-11-25 07:33 UTC by Kavita
Modified: 2020-04-14 13:27 UTC (History)
1 user (show)

Fixed In Version: foreman-1.24.1-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:27:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28136 Urgent Closed GCE CR zones/flavors-or-machine-types/networks listing is not implemented. 2020-03-04 17:54:21 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:27:37 UTC

Description Kavita 2019-11-25 07:33:28 UTC
The listing below attributes of a GCE Compute resource is not implemented.

* zones
* machine-types or flavors
* networks

How Reproducible:
-------------------
Always

Steps:
-------------------
1. Create a GCE Compute Resource.
1. Attempt to list zones/flavors/networks of GCE CR.

Actual Behavior:
-------------------
# hammer compute-resource zones --id 1
ERF42-7329 [Foreman::Exception]: Not implemented for Google

# hammer compute-resource flavors --id 1
ERF42-7329 [Foreman::Exception]: Not implemented for Google

# hammer compute-resource networks --id 1
ERF42-7329 [Foreman::Exception]: Not implemented for Google

Expected Behavior:
--------------------
GCE CR zones/flavors-or-machine-types/networks listing should be implemented and listing said attrs for GCE CR.

Comment 1 Kavita 2019-11-25 07:33:33 UTC
Created from redmine issue https://projects.theforeman.org/issues/28136

Comment 4 Bryan Kearney 2019-12-11 11:01:31 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28136 has been resolved.

Comment 5 Jitendra Yejare 2020-01-07 08:44:57 UTC
The same issue has been observed from API endpoint.

Comment 6 Jitendra Yejare 2020-01-17 06:52:35 UTC
Verified!

@ Satellite 6.7 snap 8


Steps and STDOUT:
------------------------
1. # hammer compute-resource zones --id 1
-------------------------
NAME                     
-------------------------
us-east1-b               
us-east1-c               
us-east1-d               
us-east4-c               
us-east4-b               
us-east4-a               


2. # hammer compute-resource flavors --id 1
----------------|----------------
ID              | NAME           
----------------|----------------
e2-highcpu-16   | e2-highcpu-16  
e2-highcpu-2    | e2-highcpu-2   
e2-highcpu-4    | e2-highcpu-4   
e2-highcpu-8    | e2-highcpu-8   
e2-highmem-16   | e2-highmem-16  
e2-highmem-2    | e2-highmem-2   


3. # hammer compute-resource networks --id 1
--------------------|--------------
ID                  | NAME         
--------------------|--------------
<some_numeric_id>   | customjyejare
<some_numeric_id>   | default      
<some_numeric_id>   | net2         



Thanks for fixing/improving the listing in hammer.

Comment 9 errata-xmlrpc 2020-04-14 13:27:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.